atsc_desc_service_location_elementary Struct Reference
Parsers for several MPEG-TS descriptors

service location elementary descriptors More...

`#include <desc_atsc_service_location.h>`

## Data Fields

uint8_t | stream_type
union { |
uint16_t bitfield |
struct { |
uint16_t elementary_pid:13 |
uint16_t reserved:3 |
} |
}; |
unsigned char | ISO_639_language_code [3]

## Detailed Description

service location elementary descriptors

Parameters

  stream_type | stream type
  elementary_pid | elementary pid
  ISO_639_language_code | ISO 639 language code

Definition at line 51 of file desc_atsc_service_location.h.

## Field Documentation

## [union]

union { ... } atsc_desc_service_location_elementary

## bitfield

uint16_t atsc_desc_service_location_elementary::bitfield

Definition at line 54 of file desc_atsc_service_location.h.

## elementary_pid

uint16_t atsc_desc_service_location_elementary::elementary_pid

Definition at line 56 of file desc_atsc_service_location.h.

## ISO_639_language_code

unsigned char atsc_desc_service_location_elementary::ISO_639_language_code[3]

Definition at line 60 of file desc_atsc_service_location.h.

## reserved

uint16_t atsc_desc_service_location_elementary::reserved

Definition at line 57 of file desc_atsc_service_location.h.

## stream_type

uint8_t atsc_desc_service_location_elementary::stream_type

Definition at line 52 of file desc_atsc_service_location.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_atsc_service_location.h